#!/bin/ksh
#==========================================================
# SCRIPT DE CONTROLE DES LONGUEURS DE CHAINE DES PLEX 
#==========================================================
# Auteur  : Christophe DESQUESNES
# Date    : 19/09/2006
# version : 0.2
# OS      : SUN
# Fichier : check_name-0.2.ksh
#==========================================================
# Mode d'emploi 
# ./check_name-0.1.ksh <nom du DG>

#==========================================================
# Changelog
#==========================================================
# 0.1 : Normalisation du script
# 0.2 : Correction d'un bug sur le vxedit  
#       Reecriture du controle du parametre passe au script

#==========================================================
# Corps du script
#==========================================================
if [ $# -ne 1 ]
then
	echo "Usage : `basename $0` <nom_du_DG>\n"
	exit 1
fi

for i in $(vxprint -g $1 |awk '($1=="sd"){print $3}'|grep -v NEW | sort -u)
do
	NB_C=$(echo "$i" | wc -c)

	if [ NB_C -gt 27 ]
	then
		echo "$i : Merci de modifier le nom" 
		echo "la commande est la suivante: vxedit -g $1 rename $i <nouveau_nom>\n"
	fi
done
exit 0
