#!/bin/ksh

#############################################################################
# rename-vxpl.ksh
#
# Suppression des -NEW dans les noms de plexes
# Utilise apres la migration.
# Attention, verifier que le lancement de la commande (ligne $COMMAND) est 
# decommente lors de l'execution
#############################################################################


[ "$1" == "" ]&& {
  echo "Usage : check_name.ksh VG_NAME"
  exit 1
}

for i in $(vxprint -g $1 |awk '($1=="pl")  {print $2}'| sort -u | grep NEW )
do

  echo "i: $i"
  NEWNAME=$(echo "$i" | sed 's/-NEW$//g')
  echo "OLDNAME: $i NEWNAME : $NEWNAME"
  COMMAND="vxedit -g $1 rename $i $NEWNAME"

  echo "Command: $COMMAND"
 $COMMAND
done
