#!/bin/ksh
################################################################################
# rename-vxdisk.ksh
#
# Renommage des disques apres dmnagement ou migration de serveurs
# renomme les disques d'un VG en, supprimant le NEW final
################################################################################

[ "$1" == "" ]&& {
  echo "Usage : rename_disk.ksh VG_NAME"
  exit 1
}

for i in $(vxdisk list | grep $1 |grep NEW | awk '{print $3}')
do
  echo $i
  NEWNAME=$(echo "$i" | sed 's/-NEW//')
  echo "Newname: $NEWNAME"
  echo "vxedit -g $1 rename $i $NEWNAME"
  vxedit -g $1 rename $i $NEWNAME
done
